﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadGridView_SL4_AR_11
{
	public class MyRowStyleSelector : StyleSelector
	{
		public override Style SelectStyle(object item, DependencyObject container)
		{
			if (item is Club)
			{
				Club club = item as Club;
				if (club.PlayersCount > 0)
				{
					return PlayersStyle;
				}
				else
				{
					return NoPlayersStyle;
				}
			}
			return null;
		}

		public Style PlayersStyle { get; set; }

		public Style NoPlayersStyle { get; set; }
	}
}
