﻿using RadGridView_SL4_AR_11;
using System.Collections.Generic;
using System.ComponentModel;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace RadGridView_SL4_AR_11
{
	public class ColumnProxy
	{
		public string UniqueName { get; set; }
		public int DisplayOrder { get; set; }
		public string Header { get; set; }
		public GridViewLength Width { get; set; }
	}

	public class SortDescriptorProxy
	{
		public string ColumnUniqueName { get; set; }
		public ListSortDirection SortDirection { get; set; }
	}

	public class GroupDescriptorProxy
	{
		public string ColumnUniqueName { get; set; }
		public ListSortDirection? SortDirection { get; set; }
	}

	public class FilterDescriptorProxy
	{
		public string Member { get; set; }
		public FilterOperator Operator { get; set; }
		public object Value { get; set; }
		public bool IsCaseSEnsitive { get; set; }
	}

	public class FilterSetting
	{
		public string PropertyName { get; set; }
		List<FilterDescriptorProxy> _SelectedDistinctValues;
		public List<FilterDescriptorProxy> SelectedDistinctValues
		{
			get
			{
				if (_SelectedDistinctValues == null)
				{
					_SelectedDistinctValues = new List<FilterDescriptorProxy>();
				}
				return _SelectedDistinctValues;
			}
		}

		FilterDescriptorProxy _Filter1;
		public FilterDescriptorProxy Filter1
		{
			get
			{
				return _Filter1;
			}
			set
			{
				_Filter1 = value;
			}
		}

		FilterDescriptorProxy _Filter2;
		public FilterDescriptorProxy Filter2
		{
			get
			{
				return _Filter2;
			}
			set
			{
				_Filter2 = value;
			}
		}
	}
}
